Users API
Get current user
GET /identity/me
Authorization: Bearer <token>Update current user profile
PATCH /identity/me
Authorization: Bearer <token>
Content-Type: application/json
{
"firstName": "string",
"middleName": "string",
"lastName": "string",
"preferredName": "string",
"birthDate": "2000-01-01",
"gender": "string",
"displayName": "string",
"avatarUrl": "string"
}List users (admin)
GET /identity/users?limit=20&cursor=<cursor>&orgId=<orgId>
Authorization: Bearer <token>Required permission: console.users.read
Get user by ID (admin)
GET /identity/users/:userId
Authorization: Bearer <token>Contacts
List contacts
GET /identity/me/contactsAdd contact
POST /identity/me/contacts
Content-Type: application/json
{
"type": "phone | email | line | instagram | facebook | x",
"value": "string",
"isPrimary": false
}Update contact
PATCH /identity/me/contacts/:contactId
Content-Type: application/json
{ "value": "string", "isPrimary": true }Delete contact
DELETE /identity/me/contacts/:contactIdAddresses
List addresses
GET /identity/me/addressesAdd address
POST /identity/me/addresses
Content-Type: application/json
{
"type": "home | work | billing | shipping",
"addressLine": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"country": "TH"
}Update address
PATCH /identity/me/addresses/:addressIdDelete address
DELETE /identity/me/addresses/:addressId